           curl_multi_fdset  -  extracts  file descriptor information
           from a multi handle

## SYNOPSIS

           #include <curl/curl.h>

           CURLMcode curl_multi_fdset(CURLM *multi_handle,
                                      fd_set *read_fd_set,
                                      fd_set *write_fd_set,
                                      fd_set *exc_fd_set,
                                      int *max_fd);

## DESCRIPTION

           This function extracts file descriptor information from  a
           given  multi_handle.  libcurl returns its fd_set sets. The
           application can use these to select() or  poll()  on.  The
           curl_multi_perform()  function should be called as soon as
           one of them are ready to be read from or written to.

           NOTE that once this call is made, you must not remove  the
           sets you point to, as libcurl will need to be able to read
           them. It needs them after select() calls, to know if  cer-
           tain sockets are readable or writable.

## RETURN VALUE

           CURLMcode  type,  general  libcurl  multi  interface error
           code.

## SEE ALSO

           curl_multi_cleanup(3),curl_multi_init(3)